MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030005Open CASCADE[OCCT] OCCT:Visualizationpublic2018-07-31 22:112018-08-04 17:09
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030005: Visualization, OpenGl_Context - replace NCollection_SparseArray with NCollection_Array1 for myDrawBuffers
DescriptionNCollection_SparseArray looks redundant in context of myDrawBuffers which is expected to be an array of fixed size (in addition, SparseArray implies dynamic memory allocations on each frame redraw, which can be avoided).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029996feedbackbugmaster Porting to VC 2017 : Regressions in visualisation 

-  Notes
(0078254)
git (administrator)
2018-07-31 22:14

Branch CR30005 has been created by kgv.

SHA-1: 1442e62e497b277c29f7bb732c56c42cb45c92cb


Detailed log of new commits:

Author: kgv
Date: Tue Jul 31 22:12:04 2018 +0300

    0030005: Visualization, OpenGl_Context - replace NCollection_SparseArray with NCollection_Array1 for myDrawBuffers
(0078256)
kgv (developer)
2018-07-31 23:56

Please take the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR30005-master-KGV/ [^]
(0078285)
bugmaster (administrator)
2018-08-01 18:15

Combination -
OCCT branch : CR30005 SHA - 1442e62e497b277c29f7bb732c56c42cb45c92cb
Products branch : master SHA - 97b66d6e660c8b607e4ccc173c338a77607ffd43
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17585.22999999986 / 17494.89999999983 [+0.52%]
Products
Total CPU difference: 7441.320000000048 / 7448.560000000025 [-0.10%]
Windows-64-VC10:
OCCT
Total CPU difference: 17415.92043979855 / 17528.038358498525 [-0.64%]
Products
Total CPU difference: 8194.623329299895 / 8169.694369499867 [+0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078381)
git (administrator)
2018-08-04 17:09

Branch CR30005 has been deleted by inv.

SHA-1: 1442e62e497b277c29f7bb732c56c42cb45c92cb

- Related Changesets
occt: master c3487460
Timestamp: 2018-07-31 19:12:04
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030005: Visualization, OpenGl_Context - replace NCollection_SparseArray with NCollection_Array1 for myDrawBuffers
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-31 22:11 kgv New Issue
2018-07-31 22:11 kgv Assigned To => kgv
2018-07-31 22:14 git Note Added: 0078254
2018-07-31 22:21 kgv Relationship added related to 0029996
2018-07-31 23:56 kgv Note Added: 0078256
2018-07-31 23:56 kgv Assigned To kgv => bugmaster
2018-07-31 23:56 kgv Status new => resolved
2018-07-31 23:56 kgv Status resolved => reviewed
2018-08-01 18:13 bugmaster Test case number => Not needed
2018-08-01 18:15 bugmaster Note Added: 0078285
2018-08-01 18:15 bugmaster Status reviewed => tested
2018-08-04 16:51 bugmaster Changeset attached => occt master c3487460
2018-08-04 16:51 bugmaster Status tested => verified
2018-08-04 16:51 bugmaster Resolution open => fixed
2018-08-04 17:09 git Note Added: 0078381


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker